diff -waur doxygen-1.4.3.orig/src/doxygen.cpp doxygen-1.4.3/src/doxygen.cpp
--- doxygen-1.4.3.orig/src/doxygen.cpp	2005-05-17 03:40:15.000000000 +0100
+++ doxygen-1.4.3/src/doxygen.cpp	2005-07-19 19:30:07.485124800 +0100
@@ -6583,6 +6583,40 @@
       }
     }
     MemberName *mn=Doxygen::functionNameSDict[root->name];
+
+    // Define not found but documented
+    if(!mn && (!root->doc.isEmpty() || !root->brief.isEmpty()))
+    {
+        warn(root->fileName,root->startLine,
+             "Warning: documentation for unknown define %s found.",
+             root->name.data());
+
+        // Add to dictionary as if defined in this file
+        MemberDef *md=new MemberDef(root->fileName,root->startLine,
+                    "#define",
+                    root->name,
+                    root->args,
+                    0,      // excp - no exceptions
+                    Public, // Protection
+                    Normal, // Specifier
+                    FALSE,  // stat
+                    FALSE,  // related
+                    MemberDef::Define,
+                    0,
+                    0);
+        md->setDefinition("#define "+root->name);
+
+        bool ambig;
+        QCString filePathName = root->fileName;
+        FileDef *fd=findFileDef(Doxygen::inputNameDict,filePathName,ambig);
+        md->setFileDef(fd);
+
+        mn = new MemberName(root->name);
+        mn->append(md);
+        Doxygen::functionNameSDict.append(root->name,mn);
+        if (fd) fd->insertMember(md);
+    }
+
     if (mn)
     {
       int count=0;
@@ -6672,13 +6706,7 @@
         //     root->startLine,root->fileName.data());
       }
     }
-    else if (!root->doc.isEmpty() || !root->brief.isEmpty()) // define not found
-    {
-      warn(root->fileName,root->startLine,
-           "Warning: documentation for unknown define %s found.\n",
-           root->name.data()
-          );
-    }
+
   }
   EntryListIterator eli(*root->sublist);
   Entry *e;
